Jump to content

9 posts in this topic

Posted

Hello,

Since steam install games with latest patches, this is not something good for me because most GTA IV mods work best with version 1.0.4.0.
The version from steam is the latest one (1.0.7.0).

Im having issues with mods installation and I would like to know if I can use the product key form steam to install GTA IV from retail DVDs, this way I can patch the game to 1.0.4.0.

Thanks for any tips.

Share this post


Link to post
Share on other sites

Posted

There some *select* games where the game key, will unlock on steam (that are not originally a steam key).

This link has a list of games
[url="https://support.steampowered.com/kb_article.php?ref=7480-wusf-3601"]https://support.stea...=7480-wusf-3601[/url]

(Edit) Misread your question.

You can change the setting on the game to not auto-update from in steam.
1 person likes this

Share this post


Link to post
Share on other sites

Posted

aha, thanks for the link man. Too bad GTA4 ins not in the list.
Also, its too late to change to settings to not auto-update. And no, I don't have the patience/courage to download 30gb again. My internet is not that fast. I guess I'm gonna play it vanilla style.

Share this post


Link to post
Share on other sites

Posted

Follow [url="http://www.neogaf.com/forum/showthread.php?t=485905"]this[/url] downgrade guide. It's simple and easy to understand. No need to redownload the game.

Share this post


Link to post
Share on other sites

Posted

[quote name='HighwayGlider' timestamp='1367857296' post='595675080']
aha, thanks for the link man. Too bad GTA4 ins not in the list.
Also, its too late to change to settings to not auto-update. And no, I don't have the patience/courage to download 30gb again. My internet is not that fast. I guess I'm gonna play it vanilla style.
[/quote]You can use you Steam GTA key on a retail disk. Jason was thinking you were trying the reverse.

Hell I've used my Steam BC2 key to unlock BC2 on my origin account >.>

Share this post


Link to post
Share on other sites

Posted

It's a shame that Steam doesn't allow you to select which version of the game you wish to run, especially when updates can break mod compatibility or cause issues on some systems. Some games allow you to select future or earlier versions

Share this post


Link to post
Share on other sites

Posted

Just use the key you got with the disks.

Share this post


Link to post
Share on other sites

Posted

Sorry for the late reply; have been trying some stuff.
- Tried downgrading the steam version to 1.0.4.0 and it didn't work.
- Downloaded a custom iceconfig.ini off some creepy forum and currently using it with 1.0.7.0
- 1.0.7.0 is now running with icenhancer 2.1 (custom), ultimate textures, HD road textures, HD car pack, sexyhookers mod, speedometer, color radio hud, treesmodIV.
BUT, the graphics are (for me) still crap compared to 1.0.4.0. In 2 weeks i'll get the DVD's from a cousin (or from a sailor), then maybe I'll try a re-install.

Share this post


Link to post
Share on other sites

Posted

Check the downgrade guide I linked in a earlier post. It's easy to follow, and just do exactly as it says, then you shouldn't have any problems, unless you've skipped some vital steps.

Share this post


Link to post
Share on other sites
You are commenting as a guest. If you have an account, please sign in.
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.